package main

import (
	"fmt"
	"log"
	"os"
)

func main() {
	if len(os.Args) == 1 {
		log.Fatal("Please pass in the name of an interface that belongs to the network to scan.")
	}
	addr, err := kyoketsu.GetAllAddresses(os.Args[1])
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", addr)

}
